# !stats addon written in python for deathrun
# by isivisi

# this plugin has been rewritten in python for speed and stability.

import es, repeat
from es import server_var
es.set('stats_counter', '0')

def load():
	if server_var['dr_stats'] == 1:
		es.setinfo('deathrun_addons_stats_ver', '1.0')
		es.makepublic('deathrun_addons_stats_ver')
		es.keygroupload('player_stats', '|deathrun')
		checkfile = es.keygetvalue('player_stats', 'def', 'save')
		if checkfile:
			es.server.cmd('echo [STATSPy] savefilefound!')
		else:
			es.keygroupcreate('player_stats')
			es.keycreate('player_stats', 'def')
			es.keysetvalue('player_stats', 'def', 'save', '1')
			es.keygroupsave('player_stats', '|deathrun')
  
		es.regsaycmd('!stats', 'deathrun/stats/get_stats')
		es.regclientcmd('_dr_stats_count', 'deathrun/stats/_set_stats')


def player_activate(event_var):
	 if server_var['dr_stats'] == 1:
	 	if server_var['stats_counter'] == 0:
			es.set('stats_counter', '1')
			es.server.cmd("'repeat create stats_counter 'es_cexec_all _set_stats'")
			es.server.cmd('repeat start stats_counter 1')
			
		checkin = es.keygetvalue('player_stats', event_var['es_steamid'], 'save')
		if checkin:
			print('k')
		else:
			es.keycreate('player_stats', event_var['es_steamid'])
			es.keysetvalue('player_stats', event_var['es_steamid'], 'save', '1')
			es.keysetvalue('player_stats', event_var['es_steamid'], 'seconds', '0')
			es.keysetvalue('player_stats', event_var['es_steamid'], 'minutes', '0')
			es.keysetvalue('player_stats', event_var['es_steamid'], 'hours', '0')
			es.keysetvalue('player_stats', event_var['es_steamid'], 'days', '0')
			es.keygroupsave('player_stats', '|deathrun')
def get_stats():
	st_uid = es.getcmduserid()
	st_stid = es.getplayersteamid(st_uid)
	secs = es.keygetvalue('player_stats', st_stid, 'seconds')
	mins = es.keygetvalue('player_stats', st_stid, 'minutes')
	hurs = es.keygetvalue('player_stats', st_stid, 'hours')
	dayz = es.keygetvalue('player_stats', st_stid, 'days')
	es.tell(st_uid, '#multi', '#green -[DeathRun]-[STATS]- #lightgreen played for: %s days, %s hours, %s minutes and %s seconds.'%(dayz, hurs, mins, secs))
	
def set_stats():
	stats_userid = es.getcmduserid()
	stats_steamid = es.getplayersteamid(stats_userid)
	seconds = es.keygetvalue('player_stats', stats_steamid, 'seconds')
	minutes = es.keygetvalue('player_stats', stats_steamid, 'minutes')
	hours = es.keygetvalue('player_stats', stats_steamid, 'hours')
	days = es.keygetvalue('player_stats', stats_steamid, 'days')
  
	seconds + '1'
	if seconds > 59:
		minutes + '1'
		seconds = 0
	if minutes > 59:
		hours + '1'
		seconds = 0
		minutes = 0
	if hours > 23:
		days + '1'
		hours = 0
		seconds = 0
		minutes = 0
  
	es.keysetvalue('player_stats', stats_steamid, 'seconds', seconds)
	es.keysetvalue('player_stats', stats_steamid, 'minutes', minutes)
	es.keysetvalue('player_stats', stats_steamid, 'hours', hours)
	es.keysetvalue('player_stats', stats_steamid, 'days', days)
	es.keygroupsave('player_stats', '|deathrun')
	
def es_map_start(event_var):
	es.server.cmd("'repeat create stats_counter 'es_cexec_all _dr_stats_count'")
	es.server.cmd('repeat start stats_counter 1')

def unload():
	es.server.cmd('repeat delete stats_counter')
	es.set('stats_counter', '0')
	es.keygroupsave('player_stats', '|deathrun')
	es.keygroupdelete('player_stats')

# This addon for deathrunpy is open-source
# if modified and released give credit to original owner
